List instruction entries
List API-managed instruction entries attached to the session.
GET
/api/session/{sessionID}/instructions/entriesPath parameters
sessionIDobjectrequiredResponses
200Success
dataInstructionEntry.Info[]requiredShow propertiesHide properties
Array of
InstructionEntry.InfokeyInstructionEntry.KeyrequiredShow propertiesHide properties
objectvalueanyrequired400InvalidRequestError
_tagstringrequiredAllowed:
InvalidRequestErrormessagestringrequiredkindstring | anyShow propertiesHide properties
Any of:
string
stringany
anyfieldstring | anyShow propertiesHide properties
Any of:
string
stringany
any401UnauthorizedError
_tagstringrequiredAllowed:
UnauthorizedErrormessagestringrequired404SessionNotFoundError
Any of:
SessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredSessionNotFoundError
_tagstringrequiredAllowed:
SessionNotFoundErrorsessionIDstringrequiredmessagestringrequiredRequest
curl -X GET "/api/session/%5Bobject%20Object%5D/instructions/entries"const response = await fetch("/api/session/%5Bobject%20Object%5D/instructions/entries", {
method: "GET"
});import requests
response = requests.get(
"/api/session/%5Bobject%20Object%5D/instructions/entries",
)Response
{
"data": [
{
"key": {},
"value": "string"
}
]
}{
"_tag": "InvalidRequestError",
"message": "string",
"kind": "string",
"field": "string"
}{
"_tag": "UnauthorizedError",
"message": "string"
}{
"_tag": "SessionNotFoundError",
"sessionID": "string",
"message": "string"
}